Consultar domínio de e-mail
curl --request GET \
--url https://api.notifique.dev/v1/email/domains/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/email/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/email/domains/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/email/domains/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "clxx123...",
"domain": "seudominio.com",
"status": "VERIFIED",
"dnsRecords": [],
"verifiedAt": "2025-02-16T12:00:00.000Z",
"createdAt": "2025-02-15T10:00:00.000Z",
"updatedAt": "2025-02-16T12:00:00.000Z"
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Not Found",
"message": "Domain not found",
"code": "NOT_FOUND"
}Domínios
Consultar domínio de e-mail
Consulta status e registros DNS de um domínio.
GET
/
v1
/
email
/
domains
/
{id}
Consultar domínio de e-mail
curl --request GET \
--url https://api.notifique.dev/v1/email/domains/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/email/domains/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/email/domains/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/email/domains/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "clxx123...",
"domain": "seudominio.com",
"status": "VERIFIED",
"dnsRecords": [],
"verifiedAt": "2025-02-16T12:00:00.000Z",
"createdAt": "2025-02-15T10:00:00.000Z",
"updatedAt": "2025-02-16T12:00:00.000Z"
}
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Not Found",
"message": "Domain not found",
"code": "NOT_FOUND"
}Autorizações
ntfEmailBearerAuthntfEmailApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parâmetros de caminho
ID (cuid) do domínio.
Resposta
Dados do domínio.
Exemplo:
true
Domínio de e-mail (listagem, detalhe ou verify). Campos internos de provedor (provider, providerDomainKey, …) não são expostos.
Show child attributes
Show child attributes
Exemplo:
{
"id": "clxx...",
"domain": "string",
"status": "PENDING",
"dnsRecords": [
{
"type": "text",
"name": "Exemplo",
"value": "string"
}
],
"suggestedDnsRecords": [
{
"type": "text",
"name": "Exemplo",
"value": "string"
}
],
"inboundDnsRecords": [
{
"type": "text",
"name": "Exemplo",
"value": "string"
}
],
"dkim": { "name": "Exemplo", "value": "string" },
"verification": {
"primaryProvider": "clxx...",
"domainStatus": "PENDING",
"providers": [
{
"id": "clxx...",
"status": "pending",
"checks": {},
"isPrimary": true
}
],
"records": {}
},
"verifiedAt": "2025-02-10T14:00:00.000Z",
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:00.000Z"
}
Esta página foi útil?

